## twisted-py3 13.0.0

=== debian/changelog ===
twisted-py3 (13.0.0-0ubuntu2) raring; urgency=low

  * Don't include python.mk.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Apr 2013 11:18:53 +0200

twisted-py3 (13.0.0-0ubuntu1) raring; urgency=low

  * Build a python3-twisted-experimental package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Apr 2013 10:26:18 +0200

twisted (12.3.0-1ubuntu6) raring; urgency=low

  * Stop building the python3 packages (will be built from a separate
    source until the python3 support is complete).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Apr 2013 10:14:52 +0200

twisted (12.3.0-1ubuntu5) raring; urgency=low

  * debian/patches/lp1098127.diff:
    - Use new io_add_watch api on new versions of pygobject. (LP: #1098127)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 14 Mar 2013 17:24:59 -0400

twisted (12.3.0-1ubuntu4) raring; urgency=low

  * debian/patches/lp1102685.diff:
    - Try to use plain pygtkcompat and fall back to gi.pygtkcompat, to
      avoid a DeprecationWarning, and a crash. (LP: #1102685)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 23 Jan 2013 12:19:06 -0500

twisted (12.3.0-1ubuntu3) raring; urgency=low

  * Explicitly call 2to3 to build the py3k source.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Jan 2013 11:41:25 +0100

twisted (12.3.0-1ubuntu2) raring; urgency=low

  * Port Py_InitModule* calls to PyModule_Create for python3.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 21 Jan 2013 13:43:44 -0700

twisted (12.3.0-1ubuntu1) raring; urgency=low

  * Build python3 packages.
  * Add '3' as the suffix for the binaries using python3.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Jan 2013 17:44:26 +0100

twisted (12.3.0-1) experimental; urgency=low

  * New upstream release
  * Bump python-zope.interface dependency to 3.6
  * Bump Standards-Version to 3.9.4
  * Install _initgroups.so only on Python <= 2.6
  * Drop packaging tweaks for Python < 2.6

 -- Free Ekanayaka <freee@debian.org>  Wed, 02 Jan 2013 15:15:18 +0100

twisted (12.2.0-1) experimental; urgency=low

  * New upstream version
  * Drop the _epoll.so C extension, as Twisted now supports only
    Python >= 2.6 and there's stdlib support for epoll since 2.6
  * Add sendmsg.so C extension to python-twisted-bin

 -- Free Ekanayaka <freee@debian.org>  Tue, 11 Sep 2012 10:06:25 +0200

twisted (12.0.0-1) sid; urgency=low

  * New upstream version.
  * Add watch file
  * Bump Standards-Version

 -- Free Ekanayaka <freee@debian.org>  Tue, 17 Apr 2012 15:36:37 +0200

twisted (11.1.0-1) unstable; urgency=low

  * New upstream version.
  * Drop suggestions on python-wxgtk2.6 and python-profiler.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Dec 2011 12:29:38 +0100

twisted (11.0.0-2) unstable; urgency=low

  * python-twisted depends on version >= 11.0 of other packages.

 -- Matthias Klose <doko@debian.org>  Fri, 22 Apr 2011 12:02:59 +0200

twisted (11.0.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Apr 2011 20:11:48 +0200

twisted (10.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Feb 2011 04:47:56 +0100

twisted (10.1.0-3) unstable; urgency=low

  * Tighten build dependency to build with a fixed dh_python2. Closes: #592410.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Aug 2010 11:42:19 +0200

twisted (10.1.0-2) unstable; urgency=low

  * Remove all plugin cache files before rebuilding the cache files
    for the installed python versions.
  * python-twisted: Depend on the 10.1 versions of the twisted packages.
  * Remove the plugin cache files when package is removed, not only if
    it is purged.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Jul 2010 15:56:17 +0200

twisted (10.1.0-1) unstable; urgency=low

  * New upstream version.
  * Build using dh_python2 instead of dh_pycentral.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jul 2010 16:11:21 +0200

twisted (10.0.0-3) unstable; urgency=low

  * Add a trigger `twisted-plugins-cache' to rebuild the plugins cache.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Mar 2010 17:55:15 +0200

twisted (10.0.0-2) unstable; urgency=low

  * Include changes from 9.0.0-2 which got skipped
  * python-twisted depends on version >= 10.0 of other packages

 -- Free Ekanayaka <freee@debian.org>  Tue, 09 Mar 2010 13:32:00 +0100

twisted (10.0.0-1) unstable; urgency=low

  * New upstream version.
  * Add myself as uploader.
  * Bump standards version to 3.8.4

 -- Free Ekanayaka <freee@debian.org>  Mon, 08 Mar 2010 12:32:45 +0100

twisted (9.0.0-2) unstable; urgency=low

  * Suppress output on stderr in postrm. Closes: #566395.
  * Don't recommend twisted-doc-api. Closes: #566913.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Feb 2010 02:14:52 +0100

twisted (9.0.0-1) unstable; urgency=low

  * python-twisted: Depend on the python-twisted-* 9.0 packages.
  * python-twisted: Depend on python-zope.interface only. Closes: #557781.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jan 2010 19:38:17 +0100

twisted (9.0.0-0) unstable; urgency=low

  * New upstream version.
  * tap2deb: Use date -R instead of 822-date. Closes: #550565.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jan 2010 18:46:39 +0100

twisted (8.2.0-3) unstable; urgency=low

  * Depend on the standalone python-zope.interface{,-dbg} packages.
    Closes: #543132, #542932.
  * Remove plugins directory on purge. Closes: #527897.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Aug 2009 20:36:00 +0200

twisted (8.2.0-2) unstable; urgency=low

  * python-twisted-core: Regenerate the plugin cache as the last action
    in the postinst. Closes: #521663. LP: #361865.
  * Avoid md5/sha1 deprecation warnings. LP: #344782.

 -- Matthias Klose <doko@debian.org>  Sat, 18 Apr 2009 13:54:12 +0200

twisted (8.2.0-1) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Feb 2009 12:15:25 +0100


