## twisted-py3 13.2.0

=== debian/changelog ===
twisted-py3 (13.2.0-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 16 Dec 2013 15:07:34 -0500
