=== debian/control ===
Source: twisted-py3
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper (>=7.0.50~),
 python3-all-dev (>= 3.3), python3-all-dbg, python3-zope.interface-dbg,
 patch
#Build-Depends-Indep: python-pydoctor
Build-Conflicts: python-setuptools
XS-Python-Version: all
Standards-Version: 3.9.4

Package: python3-twisted-experimental
Architecture: all
Depends: ${python3:Depends}, python3-zope.interface (>= 3.6), ${misc:Depends}
Suggests: python3-tk, python3-gtk2, python3-glade2, python3-qt3, python3-wxgtk2.8
Recommends: python3-openssl, python3-pam, python3-serial
Conflicts: python3-twisted-core
Replaces: python3-twisted-core
Description: Event-based framework for internet applications
 It includes a web server, a telnet server, a multiplayer RPG engine, a
 generic client and server for remote object access, and APIs for creating
 new protocols.
 .
 This package holds the modules already ported to Python3.

Package: twisted-py3-doc
Section: doc
Priority: extra
Architecture: all
Depends: ${misc:Depends}
Suggests: python3-twisted-experimental
Recommends: www-browser | postscript-viewer | pdf-viewer
Description: Official documentation of Twisted
 This contains various HOWTOs and overviews in various formats
 .
 Twisted is an event-based framework for internet applications.
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.
