## twisted-py3 14.0.2

=== debian/changelog ===
twisted-py3 (14.0.2-0ubuntu1) utopic; urgency=medium

  * New upstream release.
    - Fix issue #7647: BrowserLikePolicyForHTTPS would always ignore the
      specified trustRoot and use the system trust root instead, which has
      been rectified. Closes: #761983.
  * Build using wxpython3.0 (Olly Betts). Closes: #759073.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Sep 2014 15:35:09 +0200

twisted-py3 (14.0.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jul 2014 14:10:17 +0200
