=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
 #Build-Depends-Indep: python-pydoctor
 Build-Conflicts: python-setuptools
 XS-Python-Version: all
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 
 Package: python3-twisted-experimental
 Architecture: all
 Depends: ${python3:Depends}, python3-zope.interface (>= 3.6), ${misc:Depends}
-Suggests: python3-tk, python3-gtk2, python3-glade2, python3-qt3, python3-wxgtk2.8
+Suggests: python3-tk, python3-gtk2, python3-glade2, python3-qt3, python3-wxgtk3.0
 Recommends: python3-openssl, python3-pam, python3-serial
 Conflicts: python3-twisted-core
 Replaces: python3-twisted-core
