## twisted-py3 15.2.1

=== debian/changelog ===
twisted-py3 (15.2.1-0ubuntu1) wily; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jul 2015 19:12:15 +0200
