=== debian/control ===
--- 
+++ 
@@ -14,9 +14,11 @@
 
 Package: python3-twisted-experimental
 Architecture: all
-Depends: ${python3:Depends}, python3-zope.interface (>= 3.6), ${misc:Depends}
+Depends: ${python3:Depends}, python3-zope.interface (>= 3.6),
+  ${misc:Depends},
+  python3-openssl, python3-service-identity
 Suggests: python3-tk, python3-gtk2, python3-glade2, python3-qt3, python3-wxgtk3.0
-Recommends: python3-openssl, python3-pam, python3-serial
+Recommends: python3-pam, python3-serial
 Conflicts: python3-twisted-core
 Replaces: python3-twisted-core
 Description: Event-based framework for internet applications
