## twisted-py3 15.3.0

=== debian/changelog ===
twisted-py3 (15.3.0-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Sep 2015 22:39:16 +0200
