=== debian/rules ===
--- 
+++ 
@@ -79,7 +79,7 @@
 endif
 endif
 	mkdir -p debian/python3-twisted-experimental/usr/bin
-	for i in bin/{manhole,*tap*,trial,twistd,pyhtmlizer} bin/{conch,lore,mail}/*; do \
+	for i in bin/{cftp,ckeygen,*conch,mailmail,manhole,*tap*,trial,twistd,pyhtmlizer}; do \
 	  cp $$i debian/python3-twisted-experimental/usr/bin/.; \
 	done
