## twisted-py3 15.4.0

=== debian/changelog ===
twisted-py3 (15.4.0-0ubuntu2) wily; urgency=medium

  * New upstream release

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Oct 2015 14:48:34 +0200
