=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Uploaders: Free Ekanayaka <freee@debian.org>
 Build-Depends: debhelper (>=7.0.50~),
  python3-all-dev (>= 3.3), python3-all-dbg, python3-zope.interface-dbg,
- patch
+ patch, python3-setuptools
 #Build-Depends-Indep: python-pydoctor
-Build-Conflicts: python-setuptools
 XS-Python-Version: all
 Standards-Version: 3.9.6
